program MPIwarmup_main
  use sep 
  use mpi_sep 
  implicit none
  integer, external :: omp_get_num_threads
  integer :: mpierr
  integer :: impi,nomp
  !----------------------------------------------------------------
  call MPI_INIT(mpierr)
  call sep_init()
  call MPI_COMM_RANK(MPI_COMM_WORLD,impi,mpierr)

  !$OMP PARALLEL
  nomp = omp_get_num_threads()
  !$OMP END PARALLEL

  write(*,*) impi,nomp

  call MPI_FINALIZE(mpierr) 
  !----------------------------------------------------------------
  call exit(0)
end program MPIwarmup_main
